Prefill by Mobile API
This document highlights the Prefill by Mobile API details.
API Description
Objective
The Prefill by Mobile API allows quick pre-filling of forms or identity verification processes by fetching the customer data based on the provided mobile number.
| Input | Output |
|---|---|
| The mobile number of the user | The personal, contact, and identity details of the user associated with the mobile number |
API URL
https://ind-engine.thomas.hyperverge.co/v1/prefillByMobile
API Endpoint
prefillByMobile
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.
Authentication
You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
| Parameter | Mandatory or Optional | Description | Allowed Values |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| transactionId | Mandatory | A unique identifier for tracking a user journey | This should be both unique and easily associated with the user's journey in your application(s) |
Input
The following table provides the details of the parameter required for the API's request body.
| Parameter | Description | Mandatory or Optional | Allowed Values | Default Value |
|---|---|---|---|---|
mobile | The user's valid mobile number | Mandatory | Not Applicable | Not Applicable |
Request
The following code shows a standard curl request for the API.
curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/prefillByMobile' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"mobile": "<Enter_the_valid_Mobile_Number>"
}'
Success Response
The following code is a success response from the API.
{
"status": "success",
"statusCode": "200",
"result": {
"mobile": "<Masked_Mobile_Number>",
"details": {
"personal_info": {
"full_name": "<Full_Name>",
"dob": "<Date_Of_Birth_in_DD-MM-YYYY_Format>",
"gender": "<Gender>",
"total_income": "<Total_Income>",
"occupation": "<Occupation_or_Null>",
"age": "<Age>"
},
"phone_info": [
{
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>",
"type_code": "<Type_Code>",
"number": "<Masked_Phone_Number>"
},
{
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>",
"type_code": "<Type_Code>",
"number": "<Masked_Phone_Number>"
},
{
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>",
"type_code": "<Type_Code>",
"number": "<Masked_Phone_Number>"
}
],
"address_info": [
{
"address": "<Full_Address>",
"state": "<State_Code>",
"type": "<Address_Type>",
"postal": "<Postal_Code>",
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>"
},
{
"address": "<Full_Address>",
"state": "<State_Code>",
"type": "<Address_Type>",
"postal": "<Postal_Code>",
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>"
},
{
"address": "<Full_Address>",
"state": "<State_Code>",
"type": "<Address_Type>",
"postal": "<Postal_Code>",
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>"
},
{
"address": "<Full_Address>",
"state": "<State_Code>",
"type": "<Address_Type>",
"postal": "<Postal_Code>",
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>"
},
{
"address": "<Full_Address>",
"state": "<State_Code>",
"type": "<Address_Type>",
"postal": "<Postal_Code>",
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>"
}
],
"email_info": [
{
"reported_date": "<Reported_Date_in_DD-MM-YYYY_Format>",
"email_address": "<Email_Address>"
}
],
"identity_info": {
"pan_number": [
{
"id_number": "<Masked_PAN_Number>"
}
],
"passport_number": [],
"driving_license": [],
"voter_id": [],
"aadhaar_number": [
{
"id_number": "<Masked_Aadhaar_Number>"
},
{
"id_number": "<Masked_Aadhaar_Number>"
}
],
"ration_card": [],
"other_id": [
{
"id_number": "<Masked_Other_ID_Number>"
}
]
}
}
},
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
Success Response Details
| Parameter | Type | Description |
|---|---|---|
| status | string | The status of the request |
| statusCode | integer | The HTTP status code of the request |
| mobile | string | The masked mobile number of the user |
| personal_info | object | Details of the user's personal information |
| full_name | string | The full name of the user |
| dob | string | The date of birth of the user in DD-MM-YYYY format |
| gender | string | The gender of the user |
| total_income | string | The total income of the user |
| occupation | string | The occupation of the user |
| age | string | The age of the user |
| phone_info | array | A list of phone numbers associated with the user |
| reported_date | string | The date the phone number was reported |
| type_code | string | The type code of the phone number- Mobile(M), Telephone(T) |
| number | string | The phone number |
| address_info | array | A list of addresses associated with the user |
| address | string | The full address |
| state | string | The state code of the address |
| type | string | The type of address |
| postal | string | The postal code of the address |
| email_info | array | A list of email addresses associated with the user |
| email_address | string | The email address |
| identity_info | object | Details of the user's identity documents |
| pan_number | array | A list of PAN card numbers |
| aadhaar_number | array | A list of Aadhaar numbers |
| other_id | array | A list of other identification numbers |
| metaData | object | Metadata related to the request, including request and transaction IDs |
| requestId | string | The unique identifier for the request |
| transactionId | string | The transaction ID associated with the request |
Error Responses
The following are the error responses from the API:
- Missing or Invalid Mobile Number
- Missing/Invalid Credentials
- Unregistered Mobile Number
- Data Not Found
{
"status": "failure",
"statusCode": 400,
"result": {
"data": {
"message": "Invalid mobile number"
}
}
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
{
"message": "Missing/Invalid credentials",
"statusCode": 401,
"status": "failure"
}
{
"status": "failure",
"statusCode": 404,
"message": "Mobile number is not registered",
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
{
"status": "failure",
"statusCode": 422,
"result": {
"data": {
"message": "Data not found in Bureau"
}
}
"metaData": {
"requestId": "<Request_ID>",
"transactionId": "<Transaction_ID>"
}
}
Error Response Details
failure status, with a relevant status code and error message.
The following table lists all error responses. | Status Code | Error Message | Error Description |
|---|---|---|
| 400 | Invalid mobile number | This occurs when the input mobile number is empty , or when a digit is missed or the mobile number is in an invalid format |
| 401 | Missing/Invalid credentials | The request is either missing the mandatory appId and appKey combination or has invalid values |
| 422 | Data not found in Bureau | The requested information is not available in the bureau |
| 500 | Internal Server Error | Please check the request headers or contact the HyperVerge team for resolution |
| 503 | Server Busy | Please contact the HyperVerge team for resolution |